%define desktop_vendor pclinuxos
%define Werror_cflags %nil

%define _requires_exceptions rpmlib(PayloadIsLzma)

Summary: Graphical frontend for APT package manager.
Name: synaptic
Version: 0.58
Release: %mkrel 5
License: GPLv2+
Group: System/Configuration/Packaging
URL: http://www.nongnu.org/synaptic/

Source0: http://snapshot.debian.org/archive/debian/20061220T000000Z/pool/main/s/synaptic/synaptic-%{version}.tar.xz
Source1: synaptic.desktop
Source2: synaptic-kde.desktop
Source3: synaptic-polkit
Source4: org.pclinuxos.synaptic.policy
Source5: package-supported.png
Source100: synaptic-0.57.2-ja.po

#pclinux patches
Patch0: synaptic_0.58-no-override.patch
Patch1: synaptic_0.58-gtk-fixes.patch
Patch2: synaptic-0.58-progressapi-hack.patch
Source10: synaptic-0.58-hide-output.patch
#altlinux patches
Patch101: synaptic-0.58-rgiconlegend-supported.patch

BuildRequires: libapt-pkg-devel
BuildRequires: rpm-devel
BuildRequires: libpopt-devel
BuildRequires: gcc-c++ xmlto
BuildRequires: libglade2-devel
BuildRequires: gtk2-devel
BuildRequires: libvte-devel >= 0.10.11
BuildRequires: ncurses-devel
BuildRequires: intltool
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: polkit
Requires(pre): apt >= 0.5.15lorg3.95
Requires(pre): apt-common >= 0.5.15lorg3.95
Requires(pre): lib64apt-pkg0 >= 0.5.15lorg3.95

%description
Synaptic is a graphical package management program for apt.
It provides the same features as the apt-get command line
utility with a GUI front-end based on Gtk+

%prep
%setup -q
%apply_patches

install -p -m644 %SOURCE5 pixmaps/hicolor/16x16/package-supported.png
cp -f po/ja.po po/ja.po.orig
cp -f %{SOURCE100} po/ja.po

%build
autoreconf -fiv
export CXXFLAGS="$RPM_OPT_FLAGS -Wno-deprecated-declarations"
%configure2_5x --with-vte --with-pkg-hold --enable-scripts --disable-dependency-tracking
%{make_build}

%install
rm -fr %buildroot
make install DESTDIR=%buildroot
%find_lang %{name}

# Remove the default menu entries and install our own
rm -f %buildroot%{_datadir}/applications/*
rm -f %buildroot%{_sysconfdir}/X11/sysconfig/synaptic.desktop

mkdir -p %buildroot%{_datadir}/applications
install -m 0644 %SOURCE1 %buildroot%{_datadir}/applications
install -m 0644 %SOURCE2 %buildroot%{_datadir}/applications

mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/libexec
mv %{buildroot}/usr/sbin/synaptic %{buildroot}/usr/libexec/synaptic

install -m 0755 %SOURCE3 %{buildroot}/usr/bin/synaptic
ln -fs /usr/bin/synaptic %{buildroot}/usr/sbin/synaptic

mkdir -p %{buildroot}/usr/share/polkit-1/actions
install -m 0644 %SOURCE4 %{buildroot}/usr/share/polkit-1/actions/org.pclinuxos.synaptic.policy

# install japanese manpage
mkdir -p %{buildroot}%{_mandir}/ja/man8/
install man/synaptic.ja.8 %{buildroot}%{_mandir}/ja/man8/synaptic.8

# fixed uri of manual.
sed -i 's@file://usr@file:///usr@' %{buildroot}%{_datadir}/omf/synaptic/*.omf

%clean
rm -rf %buildroot

%pre
rm -f /usr/sbin/synaptic 


%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_prefix}/libexec/%{name}
%{_datadir}/polkit-1/actions/org.pclinuxos.synaptic.policy
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/actions/*
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}
%{_mandir}/man8/%{name}.8*
%{_mandir}/ja/man8/*


%changelog
* Mon Jul 17 2023 tex - 0.58-5pclos2023
- Remove hide output patch

* Wed Jul 05 2023 tex - 0.58-4pclos2023
- add temporary hide output patch

* Mon Jun 26 2023 tex - 0.58-3pclos2023
- rebuild
